WordPress Plugin: clean-my-archives

Vulnerabilities

We are not aware of any vulnerabilities for this plugin.